__version__ = '0.8a3'

import unittest
import xml

import cssutils.css


class CommentTestCase(unittest.TestCase):

	def test_comment(self):
		c = cssutils.css.Comment(cssText=u'/*x*/')
		self.assertEqual(u'/*x*/\n', c.cssText)

		c.cssText = '/* y */'
		self.assertEqual(u'/* y */\n', c.cssText)

		c.cssText = '/* y */'
		self.assertEqual(u'/* y */\n', c.cssText)

		c.cssText = '/*\t12\n*/'
		self.assertEqual(u'/*\t12\n*/\n', c.cssText)

		c.cssText = '/** / ** //*/'
		self.assertEqual(u'/** / ** //*/\n', c.cssText)

		self.assertRaises(xml.dom.InvalidModificationErr,
						  c._setCssText, u'/*')
		self.assertRaises(xml.dom.InvalidModificationErr,
						  c._setCssText, u'  */ /* ')
		self.assertRaises(xml.dom.InvalidModificationErr,
						  c._setCssText, u'*/')
		self.assertRaises(xml.dom.InvalidModificationErr,
						  c._setCssText, u'\n /*')

		self.assertRaises(xml.dom.SyntaxErr, c._setCssText, u'/* */ */')
		self.assertRaises(xml.dom.SyntaxErr, c._setCssText, u'/* /* */')


if __name__ == '__main__':
	unittest.main() 		