__version__ = '0.8a5'

import unittest


import cssutils


class CssutilsTestCase(unittest.TestCase):

	def test_cssutils(self):

		
		actual = [x for x in dir(cssutils)
				  if not x.startswith('__')]
		expected = [
			'CSSParser',
			'_getParser',
			'_lexer', #?
			'_log',
			'_loghandler', #?
			'_parser', #?
			'_valuevalidator',
			'css',
			'cssparser', #?
			'encutils', #?
			'stylesheets']
		
		self.assertEqual(expected, actual)


	def test_cssutils_css(self):

		import cssutils.css
		actual = [x for x in dir(cssutils.css)
				  if not x.startswith('__')]
		expected = [
			'CSSCharsetRule',
			'CSSImportRule',
			'CSSRule',
			'CSSRuleList',
			'CSSStyleDeclaration',
			'CSSStyleRule',
			'CSSStyleSheet',
			'CSSUnknownRule',
			'CSSValue',
			'Comment',
			'comment',
			'csscharsetrule',
			'cssimportrule',
			'cssrule',
			'cssrulelist',
			'cssstyledeclaration',
			'cssstylerule',
			'cssstylesheet',
			'cssunknownrule',
			'cssvalue',
			'node']

		self.assertEqual(expected, actual)


	def test_cssutils_stylesheets(self):

		import cssutils.stylesheets
		actual = [x for x in dir(cssutils.stylesheets)
				  if not x.startswith('__')]
		expected = [
			'MediaList',
			'StyleSheet',
			'StyleSheetList',
			'medialist',
			'stylesheet',
			'stylesheetlist']

		self.assertEqual(expected, actual)


if __name__ == '__main__':
	unittest.main() 		